<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>
<h2>Настройки</h2>
<div>
	<form method="post" name="settings_form">
		<table class="form-table">
        <tr>
            <th>
                <label>Токен доступа:</label>
            </th>
            <td>
                <input type="text" name="dreamkas_access_token" value="<?php echo get_option("dreamkas_access_token") ?>" />
            </td>
        </tr>
        <tr>
            <th>
                <label>Идентификатор устройства, которое будет использовано для фискализации:</label>
            </th>
            <td>
                <input type="text" name="dreamkas_device_id" value="<?php echo get_option("dreamkas_device_id") ?>" />
            </td>
        </tr>
        <tr>
            <th>
                <label for="tax_system">Система налогообложения (если устройство зарегистрировано для работы с несколькими СНО):</label>
            </th>
            <td>
                <select name="dreamkas_tax_mode" id="tax_system">
                    <?php foreach(Dreamkas()->taxSystems() as $val => $name): ?>
                    <option value="<?php echo $val ?>" <?php echo get_option("dreamkas_tax_mode") == $val ? "selected" : ""  ?>><?php echo $name ?></option>
                    <?php endforeach; ?>
                </select>
            </td>
        </tr>
        <tr>
            <th>
                <label for="tax_type">Тип НДС (если не указан, то будет взят из настроек устройства):</label>
            </th>
            <td>
                <select name="dreamkas_tax_type" id="tax_type">
                    <?php foreach(Dreamkas()->taxTypes() as $val => $name): ?>
                    <option value="<?php echo $val ?>" <?php echo get_option("dreamkas_tax_type") == $val ? "selected" : ""  ?>><?php echo $name ?></option>
                    <?php endforeach; ?>
                </select>
            </td>
        </tr>
        <tr>
            <th>
                <label for="tax_system">Статус заказа при котором будет фискализирован чек:</label>
            </th>
            <td>
                <select id="order_status" name="dreamkas_fiscalize_on_order_status">
                <?php
                    $statuses = wc_get_order_statuses();
                    foreach ($statuses as $status => $status_name): 
                        $status = str_replace( 'wc-', '', $status);
                    ?>
                    <option value="<?php echo esc_attr($status) ?>" <?php echo selected($status, get_option("dreamkas_fiscalize_on_order_status"), false) ?>><?php echo esc_html($status_name) ?></option>
                <?php endforeach; ?>
				</select>
            </td>
        </tr>
        <tr>
            <th>
                <label>Список способов оплаты, обработка платежей которых, будет передаваться для фискализации:</label>
            </th>
            <td>
                <?php foreach(Dreamkas()->paymentIds() as $val => $name): ?>
                <label for="payments_ids_<?php echo $val ?>">
                    <input name="dreamkas_payments_ids[]" id="payments_ids_<?php echo $val ?>" type="checkbox" class="" value="<?php echo $val ?>" <?php $dreamkas_payments_ids = !empty(get_option("dreamkas_payments_ids"))?explode(',',get_option("dreamkas_payments_ids")):array(); echo in_array($val,$dreamkas_payments_ids) ? 'checked="checked"' : ""  ?>> <?php echo $name ?><br />			
                </label>
                <?php endforeach; ?>
            </td>
        </tr>
        </table>
        <p class="submit">
            <input class="button button-primary" type="submit" value="Cохранить" name="submit">
        </p>
	</form>
</div>
